## empathy-contact-widget

empathy-contact-widget

## Synopsis

    enum                EmpathyContactWidgetType;
    GtkWidget*          empathy_contact_widget_new          (EmpathyContact *contact,
                                                             EmpathyContactWidgetType type);
    EmpathyContact*     empathy_contact_widget_get_contact  (GtkWidget *widget);

## Description

## Details

### enum EmpathyContactWidgetType

    typedef enum {
    	CONTACT_WIDGET_TYPE_SHOW, /* used to show contact information */
    	CONTACT_WIDGET_TYPE_EDIT, /* used to edit contact information */
    	CONTACT_WIDGET_TYPE_ADD,  /* used to add a new contact */
    	CONTACT_WIDGET_TYPE_SUBSCRIPTION /* used to accepte/reject a new contact */
    } EmpathyContactWidgetType;

### empathy_contact_widget_new ()

    GtkWidget*          empathy_contact_widget_new          (EmpathyContact *contact,
                                                             EmpathyContactWidgetType type);

`contact` : |
`type` : |
Returns : |

### empathy_contact_widget_get_contact ()

    EmpathyContact*     empathy_contact_widget_get_contact  (GtkWidget *widget);

`widget` : |
Returns : |